---
title: Get webhook
url: https://anyrow.ai/docs/api/webhooks/retrieve
canonical_url: https://anyrow.ai/docs/api/webhooks/retrieve
---

# Get webhook

`GET /v1/organizations/{organization_id}/webhooks/{id}`

Authentication: `Authorization: ApiKey {your_api_key}`.

Requires `webhooks:manage`.

## Path parameters

- `organization_id` (string, required)
- `id` (string, required)

## Returns

200 `application/json`.

- `created_at` (integer, required): At least 0.
- `updated_at` (integer, required): At least 0.
- `id` (string, required)
- `name` (string, required, nullable)
- `organization_id` (string, required)
- `url` (string, required)
- `secret_rotated_at` (integer, required, nullable)
- `active` (boolean, required)
- `failure_count` (integer, required)
- `last_triggered_at` (integer, required, nullable)
- `events` (array of strings, required): At least 1 items.

## Errors

- 404: `not_found`, `webhook_not_found`
- 500: `captcha_unavailable`, `internal_server_error`
- 502: `bad_gateway`, `email_send_failed`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```bash title="cURL"
curl 'https://api.anyrow.ai/v1/organizations/{organization_id}/webhooks/{id}' \
  -H 'Authorization: ApiKey {your_api_key}'
```

```ts title="TypeScript"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.webhook.retrieve({
  params: {
    organization_id: "{organization_id}",
    id: "{id}"
  },
})
```

```python title="Python"
import os

from anyrow import SDK, ClientConfig

anyrow = SDK(ClientConfig(
    base_url="https://api.anyrow.ai",
    bearer_token=os.environ["ANYROW_API_KEY"],
    auth_header_prefix="ApiKey ",
))

result = anyrow.webhook.retrieve("{organization_id}", "{id}")
```

```go title="Go"
package main

import (
	"context"
	"fmt"
	"os"

	sdk "github.com/anyrow/sdk-go"
)

func main() {
	anyrow := sdk.NewClient(sdk.Config{
		BaseURL:     "https://api.anyrow.ai",
		BearerToken: os.Getenv("ANYROW_API_KEY"),
	})
	ctx := context.Background()

	result, err := anyrow.Webhook.Retrieve(ctx, "{organization_id}", "{id}", nil)
	if err != nil {
		panic(err)
	}
	fmt.Println(result)
}
```

```rust title="Rust"
use anyrow::{Client, ClientConfig};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let anyrow = Client::new(ClientConfig {
        base_url: "https://api.anyrow.ai".to_string(),
        bearer_token: std::env::var("ANYROW_API_KEY").ok(),
        ..Default::default()
    });

    let result = anyrow.webhook().retrieve("{organization_id}", "{id}", &Default::default()).await?;
    println!("{result:?}");
    Ok(())
}
```

```csharp title="C#"
using Anyrow;

var anyrow = new AnyrowClient(new ClientConfig
{
    BaseUrl = "https://api.anyrow.ai",
    ApiKey = Environment.GetEnvironmentVariable("ANYROW_API_KEY"),
});

var result = await anyrow.Webhook.RetrieveAsync("{organization_id}", "{id}");
Console.WriteLine(result);
```

```java title="Java"
import ai.anyrow.AnyrowClient;

public class Example {
    public static void main(String[] args) throws Exception {
        AnyrowClient anyrow = AnyrowClient.builder()
            .baseUrl("https://api.anyrow.ai")
            .apiKey(System.getenv("ANYROW_API_KEY"))
            .build();

        var result = anyrow.webhook().retrieve("{organization_id}", "{id}");
        System.out.println(result);
    }
}
```

## Response

```json title="200"
{
  "created_at": 1711468800000,
  "updated_at": 1711468800000,
  "id": "whook_01h5a3g8k9m2n4p6q8r0t2v4x6",
  "name": "string",
  "organization_id": "string",
  "url": "https://example.com",
  "secret_rotated_at": 1711468800000,
  "active": true,
  "failure_count": 42,
  "last_triggered_at": 1711468800000,
  "events": [
    "batch.complete"
  ]
}
```

```json title="404"
{
  "error_key": "not_found",
  "fields": {
    "key": [
      {
        "error_key": "string",
        "message": "string",
        "path": "string"
      }
    ]
  },
  "message": "string",
  "status": 404,
  "status_key": "string",
  "success": false,
  "vars": {
    "key": "string"
  }
}
```

```json title="500"
{
  "error_key": "captcha_unavailable",
  "fields": {
    "key": [
      {
        "error_key": "string",
        "message": "string",
        "path": "string"
      }
    ]
  },
  "message": "string",
  "status": 500,
  "status_key": "string",
  "success": false,
  "vars": {
    "key": "string"
  }
}
```

```json title="502"
{
  "error_key": "bad_gateway",
  "fields": {
    "key": [
      {
        "error_key": "string",
        "message": "string",
        "path": "string"
      }
    ]
  },
  "message": "string",
  "status": 502,
  "status_key": "string",
  "success": false,
  "vars": {
    "key": "string"
  }
}
```
